Bug 736250 - Package Manager GUI forces re-register of system even if registered correctly
Summary: Package Manager GUI forces re-register of system even if registered correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin
Version: 5.7
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Šimon Lukašík
URL:
Whiteboard:
Depends On: 734492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 07:18 UTC by RHEL Product and Program Management
Modified: 2018-11-26 17:54 UTC (History)
16 users (show)

Fixed In Version: yum-rhn-plugin-0.5.4-22.el5_7.2
Doc Type: Bug Fix
Doc Text:
Due to an error in the option parsing algorithm, the Package Manager incorrectly prompted the user to register the system with Red Hat Network every time it was started. With this update, the relevant part of the source code has been corrected, and the Package Manager no longer prompts users to register already registered systems.
Clone Of:
Environment:
Last Closed: 2011-09-12 07:23:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1281 normal SHIPPED_LIVE yum-rhn-plugin bug fix update 2011-09-12 07:23:24 UTC

Description RHEL Product and Program Management 2011-09-07 07:18:08 UTC
This bug has been copied from bug #734492 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 5 Milan Zázrivec 2011-09-07 07:35:07 UTC
Sending        yum-rhn-plugin-5.7.z/yum-rhn-plugin.spec
Transmitting file data .
Committed revision 206252.

Comment 7 Milan Zázrivec 2011-09-07 07:45:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: A bug in yum-rhn-plugin code.

Consequence: Package Manager would ask the user to re-register the system every time Package Manager is ran.

Fix: More careful command line arguments checking by yum-rhn-plugin.

Result: Package Manager now correctly recognizes a registered system.

Comment 8 Jaromir Hradilek 2011-09-08 10:01:56 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1 @@
-Cause: A bug in yum-rhn-plugin code.
+Due to an error in the option parsing algorithm, the Package Manager incorrectly prompted the user to register the system with Red Hat Network every time it was started. With this update, the relevant part of the source code has been corrected, and the Package Manager no longer prompts users to register already registered systems.-
-Consequence: Package Manager would ask the user to re-register the system every time Package Manager is ran.
-
-Fix: More careful command line arguments checking by yum-rhn-plugin.
-
-Result: Package Manager now correctly recognizes a registered system.

Comment 9 Šimon Lukašík 2011-09-08 12:09:07 UTC
Changing to Verified:

Testing procedure:
 - pup tool does not require registration when machine already registered
 - the pup tool is able to refresh/fetch repository metadata
 - user is able to apply updates using the pup tool
 - desktop applet (puplet) pops-up, when the updates are available

Verified against:
yum-rhn-plugin-0.5.4-22.el5_7.2
rhn-client-tools-0.4.20-56.el5
pirut-1.3.28-19.el5

Comment 10 errata-xmlrpc 2011-09-12 07:23:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1281.html


Note You need to log in before you can comment on or make changes to this bug.